[client]
default-character-set   =   utf8mb4

[mysql_safe]
default-character-set   =   utf8mb4

[mysql]
default-character-set   =   utf8mb4

[mysqldump]
quick
quote-names
max_allowed_packet      =   16M

[mysqld]
skip-host-cache
skip-name-resolve

#default-time-zone='+8:00'

#pid-file      = /var/run/mysqld/mysqld.pid
#socket        = /var/run/mysqld/mysqld.sock

datadir                 =   /var/lib/mysql

log-error               =   /var/lib/mysql/mysql-error.log

#skip-grant-tables

collation-server        =   utf8mb4_general_ci

character-set-client-handshake  =   TRUE

init_connect            =   'SET NAMES utf8mb4'
init_connect            =   'SET collation_connection = utf8mb4_unicode_ci'

sql_mode                =   STRICT_TRANS_TABLES,NO_ENGINE_SUBSTITUTION,NO_AUTO_CREATE_USER,NO_ZERO_IN_DATE,ERROR_FOR_DIVISION_BY_ZERO

default-storage-engine  =   INNODB

innodb_lock_wait_timeout=   500

transaction_isolation   =   READ-COMMITTED

lower_case_table_names  =   1

max_connections         =   2048

max_connect_errors      =   4096

explicit_defaults_for_timestamp =   true

max_allowed_packet      =   128M

log_bin_trust_function_creators =   1

default-authentication-plugin   =   mysql_native_password

interactive_timeout     =   1800
wait_timeout            =   1800

tmp_table_size          =   134217728
max_heap_table_size     =   134217728

slow_query_log          =   1
slow_query_log_file     =   /var/lib/mysql/mysql-slow.log

log_queries_not_using_indexes   =   1

log_throttle_queries_not_using_indexes  =   5

log_slow_slave_statements       =   1

long_query_time         =   8

min_examined_row_limit  =   100

sync_binlog             =   1